org.w3c.dom

## Interface ProcessingInstruction

All Superinterfaces:
  Node

All Known Implementing Classes:
  XDBProcInst, XMLDeclPI, XMLPI

    public interface ProcessingInstruction
    extends Node

The `ProcessingInstruction` interface represents a "processing instruction", used in XML as a way to keep processor-specific information in the text of the document.

See also the Document Object Model (DOM) Level 2 Core Specification.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getData()` The content of this processing instruction.
`java.lang.String` `getTarget()` The target of this processing instruction.
`void` `setData(java.lang.String data)`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

### Method Detail

#### getTarget

    java.lang.String getTarget()

The target of this processing instruction. XML defines this as being the first token following the markup that begins the processing instruction.

#### getData

    java.lang.String getData()

The content of this processing instruction. This is from the first non white space character after the target to the character immediately preceding the `?>`.

Throws:
  `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.

#### setData

    void setData(java.lang.String data)
          throws DOMException

Throws:
  `DOMException`

org.w3c.dom.events, org.w3c.dom.ranges and org.w3c.dom.traversal packages Copyright © 2000 W3C® (MIT, INRIA, Keio), All Rights Reserved. W3C liability, trademark, document use and software licensing rules apply. This document has been reviewed by W3C Members and other interested parties and has been endorsed by the Director as a W3C Recommendation